> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Competitive Share Over Time

> Citation share of voice over time for the target website (vs all competitors).



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/competitors/website-shares
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/competitors/website-shares:
    get:
      tags:
        - Competitors
      summary: Get Competitive Share Over Time
      description: >-
        Citation share of voice over time for the target website (vs all
        competitors).
      operationId: >-
        get_competitive_share_over_time_api_v1_public_competitors_website_shares_get
      parameters:
        - name: time_range
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TimeRange'
              - type: 'null'
            title: Time Range
        - name: platforms[]
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/AiPlatform'
              - type: 'null'
            title: Platforms[]
        - name: localizations[]
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Localizations[]
        - name: topic_ids[]
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: integer
              - type: 'null'
            title: Topic Ids[]
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CitationShareOverTimeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TimeRange:
      type: string
      enum:
        - all_time
        - 1y
        - 1m
        - 1w
        - 1d
      title: TimeRange
    AiPlatform:
      type: string
      enum:
        - ChatGPT
        - Gemini
        - AI Overviews
        - Google AI Mode
        - Perplexity
        - Mistral
        - Claude
        - DeepSeek
        - Grok
        - Copilot
      title: AiPlatform
    CitationShareOverTimeResponse:
      properties:
        entity_name:
          type: string
          title: Entity Name
        data_points:
          items:
            $ref: '#/components/schemas/CitationShareOverTime'
          type: array
          title: Data Points
      type: object
      required:
        - entity_name
        - data_points
      title: CitationShareOverTimeResponse
      description: Response schema for citation share of voice over time
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CitationShareOverTime:
      properties:
        date:
          type: string
          format: date-time
          title: Date
        share_of_voice:
          type: number
          title: Share Of Voice
      type: object
      required:
        - date
        - share_of_voice
      title: CitationShareOverTime
      description: Citation share of voice over time schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````